/// <reference types="react" />
import { NanoscopicProgressProps } from '../../../atoms/NanoscopicProgress';
import { TableLoadingStatus } from '../types';
export declare const TableNProgress: import("react").ForwardRefExoticComponent<{
    status: TableLoadingStatus;
    progressProps: NanoscopicProgressProps | undefined;
} & import("react").RefAttributes<HTMLDivElement>>;
